import { H as HighlighterGeneric, B as BuiltinLanguage, a as BuiltinTheme, C as CodeToHastOptions, R as Root, b as RequireKeys, c as CodeToThemedTokensOptions, T as ThemedToken, d as CodeToTokensWithThemesOptions } from './types/langs.mjs';
export { A as AnsiLanguage, e as Awaitable, n as BundledHighlighterOptions, p as CodeToHastOptionsCommon, E as ElementsOptions, m as HighlighterCoreOptions, t as HtmlRendererOptions, L as LanguageInput, o as LanguageRegistration, q as LineOption, g as MaybeArray, M as MaybeGetter, f as MaybeModule, P as PlainTextLanguage, j as ResolveBundleKey, k as ShikiContext, S as SpecialLanguage, i as StringLiteralUnion, h as ThemeInput, s as ThemeRegistration, r as ThemeRegistrationRaw, v as ThemedTokenExplanation, u as ThemedTokenScopeExplanation, z as bundledLanguages, y as bundledLanguagesAlias, x as bundledLanguagesBase, w as bundledThemes, l as loadWasm } from './types/langs.mjs';
import { GetHighlighterFactory } from './core.mjs';
export { HighlighterCore, createSingletonShorthands, createdBundledHighlighter, getHighlighterCore, getShikiContext } from './core.mjs';
export { getWasmInlined } from './wasm.mjs';

type Highlighter = HighlighterGeneric<BuiltinLanguage, BuiltinTheme>;
declare const getHighlighter: GetHighlighterFactory<"bat" | "berry" | "cadence" | "clojure" | "codeql" | "csharp" | "cypher" | "docker" | "erlang" | "fsharp" | "glimmer-js" | "glimmer-ts" | "handlebars" | "haskell" | "ini" | "javascript" | "jssm" | "kusto" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "powershell" | "pug" | "python" | "raku" | "ruby" | "rust" | "shaderlab" | "shellscript" | "stylus" | "typescript" | "vb" | "viml" | "vyper" | "wenyan" | "yaml" | "batch" | "be" | "cdc" | "clj" | "ql" | "c#" | "cs" | "cql" | "dockerfile" | "erl" | "f#" | "fs" | "gjs" | "gts" | "hbs" | "hs" | "properties" | "js" | "fsl" | "kql" | "makefile" | "md" | "nar" | "nf" | "objc" | "ps" | "ps1" | "jade" | "py" | "perl6" | "rb" | "rs" | "shader" | "bash" | "console" | "sh" | "shell" | "zsh" | "styl" | "ts" | "cmd" | "vim" | "vimscript" | "vy" | "文言" | "yml" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "apl" | "applescript" | "ara" | "asm" | "astro" | "awk" | "ballerina" | "beancount" | "bibtex" | "bicep" | "blade" | "c" | "clarity" | "cmake" | "cobol" | "coffee" | "cpp" | "crystal" | "css" | "cue" | "d" | "dart" | "dax" | "diff" | "dream-maker" | "elixir" | "elm" | "erb" | "fish" | "gdresource" | "gdscript" | "gdshader" | "gherkin" | "git-commit" | "git-rebase" | "glsl" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "haml" | "hcl" | "hjson" | "hlsl" | "html" | "http" | "imba" | "java" | "jinja-html" | "jison" | "json" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jsx" | "julia" | "kotlin" | "latex" | "less" | "liquid" | "lisp" | "logo" | "lua" | "marko" | "matlab" | "mdx" | "mermaid" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "perl" | "php" | "plsql" | "postcss" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "r" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "sass" | "scala" | "scheme" | "scss" | "smalltalk" | "solidity" | "sparql" | "sql" | "ssh-config" | "stata" | "svelte" | "swift" | "system-verilog" | "tasl" | "tcl" | "tex" | "toml" | "tsx" | "turtle" | "twig" | "v" | "verilog" | "vhdl" | "vue-html" | "vue" | "wasm" | "wgsl" | "wolfram" | "xml" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">;
declare const codeToHtml: (code: string, options: CodeToHastOptions<"bat" | "berry" | "cadence" | "clojure" | "codeql" | "csharp" | "cypher" | "docker" | "erlang" | "fsharp" | "glimmer-js" | "glimmer-ts" | "handlebars" | "haskell" | "ini" | "javascript" | "jssm" | "kusto" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "powershell" | "pug" | "python" | "raku" | "ruby" | "rust" | "shaderlab" | "shellscript" | "stylus" | "typescript" | "vb" | "viml" | "vyper" | "wenyan" | "yaml" | "batch" | "be" | "cdc" | "clj" | "ql" | "c#" | "cs" | "cql" | "dockerfile" | "erl" | "f#" | "fs" | "gjs" | "gts" | "hbs" | "hs" | "properties" | "js" | "fsl" | "kql" | "makefile" | "md" | "nar" | "nf" | "objc" | "ps" | "ps1" | "jade" | "py" | "perl6" | "rb" | "rs" | "shader" | "bash" | "console" | "sh" | "shell" | "zsh" | "styl" | "ts" | "cmd" | "vim" | "vimscript" | "vy" | "文言" | "yml" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "apl" | "applescript" | "ara" | "asm" | "astro" | "awk" | "ballerina" | "beancount" | "bibtex" | "bicep" | "blade" | "c" | "clarity" | "cmake" | "cobol" | "coffee" | "cpp" | "crystal" | "css" | "cue" | "d" | "dart" | "dax" | "diff" | "dream-maker" | "elixir" | "elm" | "erb" | "fish" | "gdresource" | "gdscript" | "gdshader" | "gherkin" | "git-commit" | "git-rebase" | "glsl" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "haml" | "hcl" | "hjson" | "hlsl" | "html" | "http" | "imba" | "java" | "jinja-html" | "jison" | "json" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jsx" | "julia" | "kotlin" | "latex" | "less" | "liquid" | "lisp" | "logo" | "lua" | "marko" | "matlab" | "mdx" | "mermaid" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "perl" | "php" | "plsql" | "postcss" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "r" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "sass" | "scala" | "scheme" | "scss" | "smalltalk" | "solidity" | "sparql" | "sql" | "ssh-config" | "stata" | "svelte" | "swift" | "system-verilog" | "tasl" | "tcl" | "tex" | "toml" | "tsx" | "turtle" | "twig" | "v" | "verilog" | "vhdl" | "vue-html" | "vue" | "wasm" | "wgsl" | "wolfram" | "xml" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">) => Promise<string>;
declare const codeToHast: (code: string, options: CodeToHastOptions<"bat" | "berry" | "cadence" | "clojure" | "codeql" | "csharp" | "cypher" | "docker" | "erlang" | "fsharp" | "glimmer-js" | "glimmer-ts" | "handlebars" | "haskell" | "ini" | "javascript" | "jssm" | "kusto" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "powershell" | "pug" | "python" | "raku" | "ruby" | "rust" | "shaderlab" | "shellscript" | "stylus" | "typescript" | "vb" | "viml" | "vyper" | "wenyan" | "yaml" | "batch" | "be" | "cdc" | "clj" | "ql" | "c#" | "cs" | "cql" | "dockerfile" | "erl" | "f#" | "fs" | "gjs" | "gts" | "hbs" | "hs" | "properties" | "js" | "fsl" | "kql" | "makefile" | "md" | "nar" | "nf" | "objc" | "ps" | "ps1" | "jade" | "py" | "perl6" | "rb" | "rs" | "shader" | "bash" | "console" | "sh" | "shell" | "zsh" | "styl" | "ts" | "cmd" | "vim" | "vimscript" | "vy" | "文言" | "yml" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "apl" | "applescript" | "ara" | "asm" | "astro" | "awk" | "ballerina" | "beancount" | "bibtex" | "bicep" | "blade" | "c" | "clarity" | "cmake" | "cobol" | "coffee" | "cpp" | "crystal" | "css" | "cue" | "d" | "dart" | "dax" | "diff" | "dream-maker" | "elixir" | "elm" | "erb" | "fish" | "gdresource" | "gdscript" | "gdshader" | "gherkin" | "git-commit" | "git-rebase" | "glsl" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "haml" | "hcl" | "hjson" | "hlsl" | "html" | "http" | "imba" | "java" | "jinja-html" | "jison" | "json" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jsx" | "julia" | "kotlin" | "latex" | "less" | "liquid" | "lisp" | "logo" | "lua" | "marko" | "matlab" | "mdx" | "mermaid" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "perl" | "php" | "plsql" | "postcss" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "r" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "sass" | "scala" | "scheme" | "scss" | "smalltalk" | "solidity" | "sparql" | "sql" | "ssh-config" | "stata" | "svelte" | "swift" | "system-verilog" | "tasl" | "tcl" | "tex" | "toml" | "tsx" | "turtle" | "twig" | "v" | "verilog" | "vhdl" | "vue-html" | "vue" | "wasm" | "wgsl" | "wolfram" | "xml" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">) => Promise<Root>;
declare const codeToThemedTokens: (code: string, options: RequireKeys<CodeToThemedTokensOptions<"bat" | "berry" | "cadence" | "clojure" | "codeql" | "csharp" | "cypher" | "docker" | "erlang" | "fsharp" | "glimmer-js" | "glimmer-ts" | "handlebars" | "haskell" | "ini" | "javascript" | "jssm" | "kusto" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "powershell" | "pug" | "python" | "raku" | "ruby" | "rust" | "shaderlab" | "shellscript" | "stylus" | "typescript" | "vb" | "viml" | "vyper" | "wenyan" | "yaml" | "batch" | "be" | "cdc" | "clj" | "ql" | "c#" | "cs" | "cql" | "dockerfile" | "erl" | "f#" | "fs" | "gjs" | "gts" | "hbs" | "hs" | "properties" | "js" | "fsl" | "kql" | "makefile" | "md" | "nar" | "nf" | "objc" | "ps" | "ps1" | "jade" | "py" | "perl6" | "rb" | "rs" | "shader" | "bash" | "console" | "sh" | "shell" | "zsh" | "styl" | "ts" | "cmd" | "vim" | "vimscript" | "vy" | "文言" | "yml" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "apl" | "applescript" | "ara" | "asm" | "astro" | "awk" | "ballerina" | "beancount" | "bibtex" | "bicep" | "blade" | "c" | "clarity" | "cmake" | "cobol" | "coffee" | "cpp" | "crystal" | "css" | "cue" | "d" | "dart" | "dax" | "diff" | "dream-maker" | "elixir" | "elm" | "erb" | "fish" | "gdresource" | "gdscript" | "gdshader" | "gherkin" | "git-commit" | "git-rebase" | "glsl" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "haml" | "hcl" | "hjson" | "hlsl" | "html" | "http" | "imba" | "java" | "jinja-html" | "jison" | "json" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jsx" | "julia" | "kotlin" | "latex" | "less" | "liquid" | "lisp" | "logo" | "lua" | "marko" | "matlab" | "mdx" | "mermaid" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "perl" | "php" | "plsql" | "postcss" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "r" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "sass" | "scala" | "scheme" | "scss" | "smalltalk" | "solidity" | "sparql" | "sql" | "ssh-config" | "stata" | "svelte" | "swift" | "system-verilog" | "tasl" | "tcl" | "tex" | "toml" | "tsx" | "turtle" | "twig" | "v" | "verilog" | "vhdl" | "vue-html" | "vue" | "wasm" | "wgsl" | "wolfram" | "xml" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "theme">) => Promise<ThemedToken[][]>;
declare const codeToTokensWithThemes: (code: string, options: RequireKeys<CodeToTokensWithThemesOptions<"bat" | "berry" | "cadence" | "clojure" | "codeql" | "csharp" | "cypher" | "docker" | "erlang" | "fsharp" | "glimmer-js" | "glimmer-ts" | "handlebars" | "haskell" | "ini" | "javascript" | "jssm" | "kusto" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "powershell" | "pug" | "python" | "raku" | "ruby" | "rust" | "shaderlab" | "shellscript" | "stylus" | "typescript" | "vb" | "viml" | "vyper" | "wenyan" | "yaml" | "batch" | "be" | "cdc" | "clj" | "ql" | "c#" | "cs" | "cql" | "dockerfile" | "erl" | "f#" | "fs" | "gjs" | "gts" | "hbs" | "hs" | "properties" | "js" | "fsl" | "kql" | "makefile" | "md" | "nar" | "nf" | "objc" | "ps" | "ps1" | "jade" | "py" | "perl6" | "rb" | "rs" | "shader" | "bash" | "console" | "sh" | "shell" | "zsh" | "styl" | "ts" | "cmd" | "vim" | "vimscript" | "vy" | "文言" | "yml" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "apl" | "applescript" | "ara" | "asm" | "astro" | "awk" | "ballerina" | "beancount" | "bibtex" | "bicep" | "blade" | "c" | "clarity" | "cmake" | "cobol" | "coffee" | "cpp" | "crystal" | "css" | "cue" | "d" | "dart" | "dax" | "diff" | "dream-maker" | "elixir" | "elm" | "erb" | "fish" | "gdresource" | "gdscript" | "gdshader" | "gherkin" | "git-commit" | "git-rebase" | "glsl" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "haml" | "hcl" | "hjson" | "hlsl" | "html" | "http" | "imba" | "java" | "jinja-html" | "jison" | "json" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jsx" | "julia" | "kotlin" | "latex" | "less" | "liquid" | "lisp" | "logo" | "lua" | "marko" | "matlab" | "mdx" | "mermaid" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "perl" | "php" | "plsql" | "postcss" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "r" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "sass" | "scala" | "scheme" | "scss" | "smalltalk" | "solidity" | "sparql" | "sql" | "ssh-config" | "stata" | "svelte" | "swift" | "system-verilog" | "tasl" | "tcl" | "tex" | "toml" | "tsx" | "turtle" | "twig" | "v" | "verilog" | "vhdl" | "vue-html" | "vue" | "wasm" | "wgsl" | "wolfram" | "xml" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "themes" | "lang">) => Promise<[color: string, theme: string, tokens: ThemedToken[][]][]>;

export { BuiltinLanguage, BuiltinTheme, CodeToHastOptions, CodeToThemedTokensOptions, CodeToTokensWithThemesOptions, GetHighlighterFactory, Highlighter, HighlighterGeneric, RequireKeys, ThemedToken, codeToHast, codeToHtml, codeToThemedTokens, codeToTokensWithThemes, getHighlighter };
